---
id: overview
title: Overview
---

React Charts is first and foremost a React component for rendering many many different variations of X/Y charts including, but not limited to, **line, area, bar, column and bubble charts**.

Outside of providing custom styling and interfacing with some D3-supported options, you do not need any knowledge of SVG to use React Charts, nor should you, since you probably have better things to do than remember how to transpose the attributes of a `rect` from a vertical to horizontal orientation or heaven forbid, calculate an columnar-voronoi for faster closest-to-point tooltip performance.

You will, however, need general knowledge of:

- Your data. If you don't know the data you want to visualize, you're not going to get far at all!

It's optional for basic charting, but if you really want to be productive, you'll want understand:

- High-level Scale Architypes, the differences in what they do, and why you would use one over the other. Again, you do not need to know how to build your own scales or use `d3-scale`, but knowing the concepts and ideas behind scale types like `time`, `linear/continuous`, and `ordinal/band` will go a long way. [Learn more at Observerble](https://observablehq.com/@d3/learn-d3-scales).

I think that's it TBH! But this list might grow/shrink in the future. If you think something should be added to this list or changed in anyway, hit the **Edit this page on Github** link at the bottom!
